Subject: Offline Message from Brandon Brooks: Hi I purchased an eb7 plus less than two
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Mon, 21 Mar 2022 04:04:30 -0000

From: Brandon Brooks <[email-masked]>
Phone: 8019166090
Location: Salt Lake City, United States
URL: https://swagtron.com/faq/cs-rma/warranty-details-and-registration/
Department: SwagTron

Hi I purchased an eb7 plus less than two years ago and I believe the battery has failed. I can turn on the bike and the led lights up but then it immediately shuts down. I see the battery has a five year warranty. What do I need to do to get it fixed? Thanks, Brandon

----
Zopim
https://www.zopim.com